package org.jk.rag.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jk.common.mybatis.core.page.PageQuery;
import org.jk.rag.domain.Dataset;
import org.jk.rag.domain.dto.ReviseSliceDTO;
import org.jk.rag.domain.entity.SliceInfo;
import org.jk.rag.domain.vo.DatasetVo;
import org.jk.rag.domain.vo.JkReviseDocumentVo;
import org.jk.rag.domain.vo.JkReviseVo;
import org.jk.rag.domain.vo.ReviseHistoryVo;

import java.util.List;

/**
 * 用户 业务层
 *
 * @author jk
 */
public interface IJkDatasetService {

    Page<DatasetVo> selectDatasetPageList(String name,String createBy, PageQuery pageQuery);

    Long insertDataset(DatasetVo datasetVo);

    boolean checkName(String name);

    void deleteById(Long id);

    List<Dataset> selectDatasetList(String appId);

}
